org.springframework.web.context

## Interface ConfigurableWebEnvironment

All Superinterfaces:
  ConfigurableEnvironment, ConfigurablePropertyResolver, Environment, PropertyResolver

All Known Implementing Classes:
  StandardServletEnvironment

    public interface ConfigurableWebEnvironment
    extends ConfigurableEnvironment

Specialization of `ConfigurableEnvironment` allowing initialization of servlet-related `PropertySource` objects at the earliest moment that the `ServletContext` and (optionally) `ServletConfig` become available.

Since:
  3.1.2
Author:
  Chris Beams
See Also:
  `EnvironmentCapable.getEnvironment()`

### Method Summary

Methods
`void` `initPropertySources(ServletContext servletContext, ServletConfig servletConfig)` Replace any stub property source instances acting as placeholders with real servlet context/config property sources using the given parameters.

### Methods inherited from interface org.springframework.core.env.ConfigurableEnvironment

`addActiveProfile, getPropertySources, getSystemEnvironment, getSystemProperties, merge, setActiveProfiles, setDefaultProfiles`

### Methods inherited from interface org.springframework.core.env.Environment

`acceptsProfiles, getActiveProfiles, getDefaultProfiles`

### Methods inherited from interface org.springframework.core.env.ConfigurablePropertyResolver

`getConversionService, setConversionService, setIgnoreUnresolvableNestedPlaceholders, setPlaceholderPrefix, setPlaceholderSuffix, setRequiredProperties, setValueSeparator, validateRequiredProperties`

### Methods inherited from interface org.springframework.core.env.PropertyResolver

`containsProperty, getProperty, getProperty, getProperty, getProperty, getPropertyAsClass, getRequiredProperty, getRequiredProperty, resolvePlaceholders, resolveRequiredPlaceholders`

### Method Detail

#### initPropertySources

    void initPropertySources(ServletContext servletContext,
                           ServletConfig servletConfig)

Replace any stub property source instances acting as placeholders with real servlet context/config property sources using the given parameters.

Parameters:
  `servletContext` - the `ServletContext` (may not be `null`)
  `servletConfig` - the `ServletConfig` (`null` if not available)
See Also:
  `WebApplicationContextUtils.initServletPropertySources( org.springframework.core.env.MutablePropertySources, ServletContext, ServletConfig)`